GroupDamageStats 		= {}

GroupDamageStats.panelFragment		= ZO_HUDFadeSceneFragment:New(GroupDamageStatsControl, 200, 0)
GroupDamageStats.hudScene 			= SCENE_MANAGER:GetScene("hud")
GroupDamageStats.hudUiScene			= SCENE_MANAGER:GetScene("hudui")
GroupDamageStats.hudScene:AddFragment(GroupDamageStats.panelFragment)
GroupDamageStats.hudUiScene:AddFragment(GroupDamageStats.panelFragment)

GroupDamageStats.panelFragmentList		= ZO_HUDFadeSceneFragment:New(GroupDamageStatsControlList, 200, 0)
GroupDamageStats.hudScene:AddFragment(GroupDamageStats.panelFragmentList)
GroupDamageStats.hudUiScene:AddFragment(GroupDamageStats.panelFragmentList)

GroupDamageStats.unitType			= "all"
GroupDamageStats.listTargets		= false
GroupDamageStats.showHeal			= false

GroupDamageStats.wasOpen = false

GroupDamageStats.currentStats		= {
	["duration"]			= 0,
	["mainTarget"]			= "",
	["rankingDmg"]			= {},
	["targetRankingDmg"]	= {},
	["rankingHeal"]			= {},
	["targetRankingHeal"]	= {},
	["units"]				= {
--		[id]	= {
--			--healrecieved
--		}
	},
}

function GroupDamageStats:Initialize()	
	self:InitializeControls()
	EVENT_MANAGER:RegisterForEvent(self.name, EVENT_PLAYER_ACTIVATED, self.onPlayerActive)
end

function GroupDamageStats.onPlayerActive()
	GroupDamageStats:HidePanel(true)
	EVENT_MANAGER:UnregisterForEvent(GroupDamageStats.name, EVENT_PLAYER_ACTIVATED)
end

function GroupDamageStats:OnCombatHandler(inCombat)
	if not self.wasOpen then return end
	if inCombat then
		self.hudScene:RemoveFragment(self.panelFragment)
		self.hudUiScene:RemoveFragment(self.panelFragment)
		self.hudScene:RemoveFragment(self.panelFragmentList)
		self.hudUiScene:RemoveFragment(self.panelFragmentList)
	else
		self.hudScene:AddFragment(self.panelFragment)
		self.hudUiScene:AddFragment(self.panelFragment)
		self.hudScene:AddFragment(self.panelFragmentList)
		self.hudUiScene:AddFragment(self.panelFragmentList)
	end
end